Name: apiextractor
Version: 0.3
Release: %mkrel 2
License: GPLv2
Summary: PySide
Group: Development/KDE and Qt
URL: http://www.pyside.org
Source0:  %name-%version.tar.bz2
Patch0: apiextractor-0.3-cmake-module-install.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: boost-devel
BuildRequires: openssl-devel
BuildRequires: libxml2-devel >= 2.6.32
BuildRequires: libxslt-devel >= 1.1.19

%description
The API Extractor library is used by the binding generator to parse headers of a
given library and merge this data with information provided by typesystem (XML)
files, resulting in a representation of how the API should be exported to the 
chosen target language. The generation of source code for the bindings is performed 
by specific generators using the API Extractor library.
The API Extractor is based on QtScriptGenerator code.

#------------------------------------------------------------------------------

%define major 0
%define libname %mklibname apiextractor %{major}

%package -n %{libname}
Summary: apiextractor main library
Group: System/Libraries

%description -n %{libname}
The API Extractor library is used by the binding generator to parse headers of a
given library and merge this data with information provided by typesystem (XML)
files, resulting in a representation of how the API should be exported to the 
chosen target language. The generation of source code for the bindings is performed 
by specific generators using the API Extractor library.
The API Extractor is based on QtScriptGenerator code.

%files -n %{libname}
%defattr(-,root,root,-)
%_libdir/libapiextractor.so.%{major}*

#------------------------------------------------------------------------------

%define libnamedev %mklibname apiextractor -d

%package -n %{libnamedev}
Summary: apiextractor devel files
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}
Provides: libapiextractor-devel = %{version}

%description -n %{libnamedev}
The API Extractor library is used by the binding generator to parse headers of a
given library and merge this data with information provided by typesystem (XML)
files, resulting in a representation of how the API should be exported to the 
chosen target language. The generation of source code for the bindings is performed 
by specific generators using the API Extractor library.
The API Extractor is based on QtScriptGenerator code.

%files -n %{libnamedev}
%defattr(-,root,root,-)
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/cmake*
%_includedir/*

#------------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .orig

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %buildroot



%changelog
* Fri Sep 25 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3-2mdv2010.0
+ Revision: 448952
- Fix install path for cmake files
- New upstream version

* Fri Aug 21 2009 Helio Chissini de Castro <helio@mandriva.com> 0.2-2mdv2010.0
+ Revision: 419348
- Correct license

* Thu Aug 20 2009 Helio Chissini de Castro <helio@mandriva.com> 0.2-1mdv2010.0
+ Revision: 418561
- imported package apiextractor


